Coin163

首页 > MAMP套件里如何安装MongoDB的PHP扩展

MAMP套件里如何安装MongoDB的PHP扩展

而且现在的MAMP中的PHP版本只有5.2.17和5.4.4两个版本,官方没找到编译好的5.4的mongo.so文件

,

嗯哼!~正好我之前折腾过redis,我的做法是google了一下,然后我就懂了,因为MAMP去掉了PHP的include的头文件,所以直接phpize是不行的,要去PHP官方下载相应版本的源码,然后放到mamp的php目录下,然后再执行phpize就能成功了,无需求人,无需找现成的so,呵呵~,为了方便你,我Google了一篇redis扩展的安装的,你step to step的照做试试?

http://blog.yorkgu.me/2011/10/18/comp...

mongo的pecl:http://pecl.php.net/package/mongo

而且现在的MAMP中的PHP版本只有5.2.17和5.4.4两个版本,官方没找到编译好的5.4的mongo.so文件

------分隔线----------------------------
相关推荐